/*
 * File: 	calendar.js
 * Author:	Richard L Thomas
 * Date:	March 29, 2004
 * Requires date.js
 */
var dates = new Array();
var icons = new Array();
var times = new Array();
var endtimes = new Array();
var altTxt =new Array();
var addl = new Array();
var daysinmonth = new Array(31,28,31,30,30,31,31,31,30,31,30,31);
var daysabbr = new Array("Mon.", "Tues.", "Wed.", "Thur.", "Fri.", "Sat.", "Sun.");
var days = new Array("Monday", "Tuesday", "Wednesday", "Thursday", "Friday.", "Saturday", "Sunday");
var monthl = new Array("January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December");

var appt = new Array('');
//	format is :- date~icon~time~alt-text
//	date in dd/mm/yy format
//	icon image icon_calendar_manfigure.gif
//	start time in format hh24:mi
//	finish time in format hh24:mi
// 	alt-text - whatever you want
//  additional description
	
function populateAppts() {
	appt.push("12/03/04~../images/icon_calendar_manfigure.gif~09:30~10:30~Business controls status review~Location: RM9001");
	appt.push("12/03/04~../images/icon_calendar_handshake.gif~11:00~12:00~Team Briefing~Location: RM9001");
	appt.push("12/03/04~../images/icon_calendar_manfigure.gif~14:00~15:00~Lunch and Learn~Location: RM9001");
	appt.push("17/03/04~../images/icon_calendar_manfigure.gif~15:00~16:00~Interview with Nigel Havers~Location: RM9001");
	appt.push("31/03/04~../images/icon_calendar_handshake.gif~11:00~13:30~Interview with Nigel Havers~Location: RM9001");
	appt.push("31/03/04~../images/icon_calendar_handshake.gif~15:00~16:30~Interview with Nigel Havers~Location: RM9001");
}	

function parseCalEntry() {		
	var entryDetails;
	for (i = 0; i<appt.length; i++) {
		entryDetails = appt[i].split("~");
		dates[i]= entryDetails[0];
		icons[i]=entryDetails[1];
		times[i]=entryDetails[2];
		endtimes[i]=entryDetails[3];
		altTxt[i]=entryDetails[4];
		addl[i]=entryDetails[5];
	}	
}

function insertCalEntry(HTML, theMonth, startDate, type) {
	var dateParts;
	for(n=0; n<dates.length; n++) {
		dateParts = dates[n].split("/");
		if (theMonth == startDate.getMonth() ) {
			if (dateParts[0]== startDate.getDate() ){
				if (type == "month") {
					HTML += "<TR class=CalEntry>"
					HTML += "<td><img src='" + icons[n] + "' alt='" + altTxt[n] + "'></td><td>";
					if (times[n].slice(0,2) < 12 ) {
						HTML += times[n] +"am";
					} else {
						HTML+= ((times[n].slice(0,2))-12) + times[n].slice(2) +"pm";
					}
					HTML += "</td></tr><tr><td><img src=../images/spacer.gif width=1 height=1></td></tr>";

				} else {
					HTML += "<tr class=CalEntry>";
					HTML+="<td>";
					HTML+="<img src='" + icons[n] + "'>";
					HTML+="</td>";
					
					HTML += "<td>";
					if (times[n].slice(0,2) < 12 ) {
						HTML += times[n] +"am";
					} else {
						HTML+= ((times[n].slice(0,2))-12) + times[n].slice(2) +"pm";
					}
					
					HTML += "-";
					if (endtimes[n].slice(0,2) < 12 ) {
						HTML += endtimes[n] +"am"; 
					} else {
						HTML += ((endtimes[n].slice(0,2))-12) + endtimes[n].slice(2) +"pm";
					}		
					HTML += "</td>";
					
					HTML += "<td>"+ altTxt[n]+ "<br>" + addl[n] + "</td>";
					HTML += "</tr>";
					HTML += "<tr><td><img src=../images/spacer.gif width=1 height=1></td></tr>";
				}
			}
		}
	}
	return HTML;
}

function writeCalendarWeek(){
	var HTML = new String('');
	var startDate = today;
	//get and parse the appt array
	populateAppts();
	parseCalEntry();
	//adjust for beginning of the week
	startDate = startDate.dateAdd("d", -startDate.getDay());
	
	//Create HTML for the columns
	HTML = "";
	HTML += '<table cellspacing=1 cellpadding=2 border=0 width=100%>';
	for (i=0; i<7; i++) {
		//heading 
		HTML += '<tr>'
		HTML += '<td class=calDayNumHeader>';
		HTML += '<B>'+ startDate.getDate()+'&nbsp;</B>';
		if (i==0){
			HTML += days[6]+ ", ";
		} else {
			HTML += days[i-1]+ ", ";
		}
		HTML += monthl[startDate.getMonth()]+ " " + startDate.getYear();
		HTML += '</td>';
		HTML += '</tr>'

		//body
		HTML += '<tr valign=top>'
		HTML += '<td class=calDayBody height=60>	<table cellspacing=0 cellpadding=0 border=0 width=100% height=100%>';
		HTML = insertCalEntry(HTML, startDate.getMonth(), startDate, "week");
		HTML += '</table>&nbsp;</td>';
		HTML += '</tr>'
		startDate = startDate.dateAdd("d",1)
		if (i==3 ) {
			//close and print the first col
			HTML += "</table>";
			document.all.calWeekCol1.innerHTML = HTML;	

			//start the second col
			HTML = '<table cellspacing=1 cellpadding=2 border=0 width=100%>';
		}
	}
	document.all.calWeekCol2.innerHTML = HTML;	
		
	
	
}


function writeCalendarMonth(myMonth){
	var HTML = new String('');
	var maxWeek = 5;
	
	// default the date if initial page load
	if (myMonth == '') { myMonth = month; }
	// create a new date for the first of the month
	var startDate = new Date(year, myMonth, 1);

	// if the month is feb and it starts on a monday then we need 1 week less
	if (myMonth == 2 ) {
		if (startDate.day == 1) {
			maxWeek --
		}
	}
	// also needs a leap year adjuster - but not today
	
	//get and parse the appt array
	populateAppts();
	parseCalEntry();
		
	//Create Table
	HTML+= '<Table cellspacing=1 cellpadding=2 border=0 width=100%>';
	HTML += '<TR>';
	for( iDay = 0; iDay <7; iDay ++) {
		HTML+= '<TD class=CalDayNameHeader width=14% >';
		HTML+= daysabbr[iDay];
		HTML+= '</TD>';
	}
	HTML += '</TR>';

	// Adjust Start Date so that it starts on a Monday
	if (startDate.getDay() > 0) {
		startDate = startDate.dateAdd('d',-startDate.getDay()+1)
	}
		
	for (iWeek = 0; iWeek < maxWeek ; iWeek ++) {
		HTML += '<TR>';
		//Create the day headers
		for (iDay = 0; iDay < 7; iDay ++) {

			
			if (today.getDate() == startDate.getDate()) {
				HTML+= '<TD class=CalDayNumHeaderToday>'
			}else if(startDate.getMonth() == myMonth) {
				HTML+= '<TD class=CalDayNumHeader>' ;
			} else {
				HTML+= '<TD class=CalDayNumHeaderInactive>';
			}
			HTML+= startDate.getDate();
			HTML+= '</TD>';
			startDate = startDate.dateAdd('d',+1)
		}
		HTML += "</TR><TR>";
		
		//Create the day body
		startDate = startDate.dateAdd('d',-7)
		for (iDay = 0; iDay < 7; iDay ++) {
			
			if(startDate.getMonth() == myMonth) {
				HTML+= '<TD class=CalDayBody><DIV ID=day style="overflow:auto; height=40px;">' ;
			} else {
				HTML+= '<TD class=CalDayBodyInactive><DIV ID=day style="overflow:auto; height=40px;">';
			}

			HTML += "<table cellspacing=0 cellpadding=0 border=0 width=100%>";
			HTML = insertCalEntry(HTML, myMonth, startDate, "month");
			HTML += "</table></div>";

			
			HTML+= '&nbsp;</TD>';
			startDate = startDate.dateAdd('d',+1)
		}
		HTML += '</TR>';
		
		

	}
//	alert(HTML)
	document.all.PortletBody.innerHTML = HTML+ '</TABLE>';
	
}	