<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template name="Header3">
		<xsl:param name="themeName"/>
		<xsl:param name="searchWidget"/>
		<table width="100%" border="0" cellpadding="0" cellspacing="0" class="wpsToolbarBannerBackground">
			<tr>
				<td width="70%" height="67" valign="middle" nowrap="true">
					<img src="../images/spacer.gif" width="200" height="25" alt="" border="0"/>
					<!--  BEGIN Welcome Message module -->
					<xsl:call-template name="WelcomeMessage"/>
					<!--  END Welcome Message module -->
				</td>
				<td width="30%" align="right">
					<!--  BEGIN Search module -->
					<xsl:choose>
						<xsl:when test="$searchWidget= '0'">
							<xsl:call-template name="Search0"/>
						</xsl:when>
						<xsl:when test="$searchWidget= '1'">
							<xsl:call-template name="Search1"/>
						</xsl:when>
						<xsl:when test="$searchWidget= '2'">
							<xsl:call-template name="Search2"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:call-template name="Search2"/>
						</xsl:otherwise>
					</xsl:choose>
					<!--  END Search module -->
				</td>
			</tr>

			<!-- BEGIN Gray Bar Seperator -->
			<tr>
				<td height="5" colspan="2" class="wpsDemoPlaceTabBarBGColor2">
					<spacer type="block" width="1" height="1"/>
				</td>
			</tr>

			<!-- BEGIN 1 Pixel Line White -->
			<tr>
				<td height="1" colspan="2" class="wpsDemoPlaceTabBarBGColor1">
					<spacer type="block" width="1" height="1"/>
				</td>
			</tr>

			<!-- BEGIN Places -->
			<tr>
				<td colspan="2" class="wpsDemoPlaceTabBarBGColor" nowrap="true">
					<!-- BEGIN Place tab bar -->
					<xsl:call-template name="Place"/>
					<!-- END Place tab bar -->
				</td>
			</tr>

			<!-- BEGIN 1 Pixel Line White -->
			<tr>
				<td height="1" colspan="2" class="wpsDemoPlaceTabBarBGColor1">
					<spacer type="block" width="1" height="1"/>
				</td>
			</tr>

			<!-- BEGIN Gray Bar Seperator -->
			<tr>
				<td height="5" colspan="2" class="wpsDemoPlaceTabBarBGColor2">
					<spacer type="block" width="1" height="1"/>
				</td>
			</tr>

		</table>
	</xsl:template>
</xsl:stylesheet>
